# string_type.h File Reference

Types for strings. More...

Go to the source code of this file.

## Typedefs
typedef uint32 | WChar
## Enumerations
enum | CharSetFilter { CS_ALPHANUMERAL, CS_NUMERAL, CS_ALPHA }
| Valid filter types for IsValidChar. More...

## Detailed Description

Types for strings.

Definition in file string_type.h.

## Enumeration Type Documentation

enum CharSetFilter

Valid filter types for IsValidChar.

Enumerator:

  CS_ALPHANUMERAL | Both numeric and alphabetic and spaces and stuff.
  CS_NUMERAL | Only numeric ones.
  CS_ALPHA | Only alphabetic values.

Definition at line 11 of file string_type.h.